المواقع

GET https://seo.sevex.us/api/websites/
curl --request GET \
--url 'https://seo.sevex.us/api/websites/' \
--header 'Authorization: Bearer {api_key}' \
المعلمات التفاصيل الوصف
page اختياري عدد صحيح رقم الصفحة التي تريد الحصول على النتائج منها. الافتراضي هو 1.
results_per_page اختياري عدد صحيح عدد النتائج التي تريدها لكل صفحة. القيم المسموح بها هي: 10 , 25 , 50 , 100 , 250 , 500 , 1000. الافتراضي هو 25.
{ "data": [ { "id": 1, "user_id": 1, "domain_id": 0, "scheme": "https", "host": "example.com", "score": 100, "total_audits": 10, "total_archived_audits": 5, "total_issues": 0, "major_issues": 0, "moderate_issues": 0, "minor_issues": 0, "last_audit_datetime": "2024-11-10 02:26:19", "datetime": "2024-11-10 02:22:50" } ], "meta": { "page": 1, "results_per_page": 25, "total": 1, "total_pages": 1 }, "links": { "first": "https://seo.sevex.us/api/websites?&page=1", "last": "https://seo.sevex.us/api/websites?&page=1", "next": null, "prev": null, "self": "https://seo.sevex.us/api/websites?&page=1" } }
GET https://seo.sevex.us/api/websites/{website_id}
curl --request GET \
--url 'https://seo.sevex.us/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
{ "data": { "id": 1, "user_id": 1, "domain_id": 0, "scheme": "https", "host": "example.com", "score": 100, "total_audits": 10, "total_archived_audits": 5, "total_issues": 0, "major_issues": 0, "moderate_issues": 0, "minor_issues": 0, "last_audit_datetime": "2024-11-10 02:26:19", "datetime": "2024-11-10 02:22:50" } }
POST https://seo.sevex.us/api/websites/{website_id}
المعلمات التفاصيل الوصف
domain_id اختياري عدد صحيح -
password اختياري سلسلة -
is_public اختياري قيمة منطقية -
audit_check_interval اختياري عدد صحيح القيم المسموح بها: {empty_string}21600, 43200, 86400, 259200, 432000, 864000, 1296000, 2592000 (ثواني)
notifications اختياري مصفوفة معرفات معالجات الإشعارات
curl --request POST \
--url 'https://seo.sevex.us/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_public=1' \
--form 'password=example' \
{ "data": { "id": 1 } }
DELETE https://seo.sevex.us/api/websites/{website_id}
curl --request DELETE \
--url 'https://seo.sevex.us/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \